Solid Edge FrameworkSupport Type Library
AddPerpendicular Method
Specifies the first Line2d object to which the constraint is to be applied.
Specifies the second object to which the constraint is to be applied. Valid objects are Line2d, Arc2d, Circle2d, or Ellipse2d.
If set, checking is performed to ensure that the relationship does not contradict previously placed relationships.
Description
Adds a perpendicular relationship to a Relations2d collection.
Syntax
Visual Basic
Public Function AddPerpendicular( _
   ByVal Object1 As Object, _
   ByVal Object2 As Object, _
   Optional ByVal guaranteed_ok As Variant _
) As Relation2d
Parameters
Object1
Specifies the first Line2d object to which the constraint is to be applied.
Object2
Specifies the second object to which the constraint is to be applied. Valid objects are Line2d, Arc2d, Circle2d, or Ellipse2d.
guaranteed_ok
If set, checking is performed to ensure that the relationship does not contradict previously placed relationships.
Remarks
The method modifies the orientation of the first object to be perpendicular to the second object. Relationship Add methods have checks to ensure that a new relationship does not contradict previously placed relationships. For example, AddHorizontal will return an error if the line already has a vertical relationship. This check can be turned off to enhance performance. The optional “guaranteed_ok” argument, if set to 1, bypasses relationship checking. However, this feature could leave the system in an unsolvable state, so use it with extreme caution. It is best to use this feature only on a new element with no other relationships.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLine1 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine2 As SolidEdgeFrameworkSupport.Line2d
    Dim objRelns As SolidEdgeFrameworkSupport.Relations2d
    Dim objReln1 As SolidEdgeFrameworkSupport.Relation2d
    Dim objProfile As SolidEdgePart.Profile
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create 2 Line objects
    Set objLine1 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0.025, x2:=0.05, y2:=0.05)
    Set objLine2 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0.1, x2:=0.075, y2:=0.075)

    ' Create a Perpendicular Relation between the objects
    Set objRelns = objProfile.Relations2d
    Set objReln1 = objRelns.AddPerpendicular(Object1:=objLine1, Object2:=objLine2)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLine1 = Nothing
    Set objLine2 = Nothing
    Set objRelns = Nothing
    Set objProfile = Nothing
    Set objReln1 = Nothing
End Sub
See Also

Relations2d Collection  | Relations2d Members